[project]
name = "rbufrp"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
authors = [{ name = "Tsuki", email = "qwin7989@gmail.com" }]
requires-python = ">=3.11"
dependencies = []

[project.scripts]
rbufrp = "rbufrp:main"

[tool.maturin]
module-name = "rbufrp._core"
python-packages = ["rbufrp"]
python-source = "src"
include = [
    { path = "../rbufr/tables", format = "sdist" },
    { path = "../rbufr/tables", format = "wheel" },
]

[tool.uv]
cache-keys = [
    { file = "pyproject.toml" },
    { file = "src/**/*.rs" },
    { file = "Cargo.toml" },
    { file = "Cargo.lock" },
]

[build-system]
requires = ["maturin>=1.0,<2.0"]
build-backend = "maturin"
